unit Unit3;

interface

uses
  System.SysUtils, System.Classes, JS, Web, WEBLib.Graphics, WEBLib.Controls,
  WEBLib.Forms, WEBLib.Dialogs, Vcl.Controls, Vcl.StdCtrls, WEBLib.StdCtrls,
  VCL.TMSFNCTypes, VCL.TMSFNCUtils, VCL.TMSFNCGraphics, VCL.TMSFNCGraphicsTypes,
  VCL.TMSFNCCustomControl, VCL.TMSFNCCustomPicker, VCL.TMSFNCDatePicker;

type
  TForm3 = class(TWebForm)
    Convert: TWebButton;
    DTPicker_StartDate: TTMSFNCDatePicker;
    procedure ConvertClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form3: TForm3;

implementation

{$R *.dfm}

procedure TForm3.ConvertClick(Sender: TObject);
var
  LocalTimeStamp : string;
  FS: TFormatSettings;
begin
  LocalTimeStamp := '1999-01-01 00:00:00';
  FS := TFormatSettings.Create;
  FS.DateSeparator := '-';
  FS.TimeSeparator := ':';
  FS.ShortDateFormat := 'yyyy-MM-dd';
  FS.LongTimeFormat := 'hh:nn:ss';  // note: 'nn' = minutes
  DTPicker_StartDate.selectedDate := StrToDateTime(LocalTimeStamp, FS);
end;

end.